# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-03-06 18:47
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Office',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('description', models.CharField(max_length=255, verbose_name='Description (uk)')),
                ('description_ru', models.CharField(max_length=255, verbose_name='Description (ru)')),
                ('city_description', models.CharField(max_length=170, verbose_name='City description (uk)')),
                ('city_description_ru', models.CharField(max_length=170, verbose_name='City description (ru)')),
                ('number', models.PositiveIntegerField(default=1, verbose_name='Number')),
                ('sitekey', models.CharField(max_length=10, verbose_name='Site key')),
                ('international_shipping', models.BooleanField(default=False, verbose_name='International shipping')),
                ('place_max_weight_allowed', models.PositiveIntegerField(default=0, verbose_name='Max weight for place allowed')),
                ('total_max_weight_allowed', models.PositiveIntegerField(default=0, verbose_name='Total max weight allowed')),
                ('pos_terminal', models.BooleanField(default=False, verbose_name='POS terminal')),
                ('post_finance', models.BooleanField(default=False, verbose_name='Post finance')),
                ('bicycle_parking', models.BooleanField(default=False, verbose_name='Bicycle parking')),
                ('phone', models.CharField(blank=True, max_length=100, verbose_name='Phone')),
                ('delivery', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, verbose_name='Delivery')),
                ('reception', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, verbose_name='Reception')),
                ('latitude', models.DecimalField(decimal_places=6, max_digits=9, verbose_name='Latitude')),
                ('longitude', models.DecimalField(decimal_places=6, max_digits=9, verbose_name='Longitude')),
                ('added', models.DateTimeField(auto_now_add=True, verbose_name='Added')),
                ('changed', models.DateTimeField(auto_now=True, verbose_name='Changed')),
            ],
            options={
                'verbose_name_plural': 'Offices',
                'verbose_name': 'Office',
            },
        ),
    ]
